**************
*PARTICIPANTS*
**************

*515 participants open the survey
gen id_part = _n
sum id_part

*467 started it for real, and seven missing on DVs
drop if am1 == .
sum id_part
drop if interest_1 == .
sum id_part

*decriptive; sex: 1 = male
tab sex
sum age 
sum year_job
tab order

***********
*VARIABLES*
***********

***Goals
alpha map1 map2 map3
egen map = rowmean(map1 map2 map3)
sum map

***Motivations
alpha am1 am2
alpha cm3 cm1 cm2 cm4
egen am = rowmean(am1 am2)
egen cm = rowmean(cm1 cm2 cm3 cm4)
sum am cm

***Variabe: Interest
alpha interest_1 interest_2 interest_3_r interest_4_r interest_5 interest_6 interest_7
gen interest_3 = 8 - interest_3_r
gen interest_4 = 8 - interest_4_r
egen interest = rowmean(interest_1 interest_2 interest_3 interest_4 interest_5 interest_6 interest_7)
sum interest

***Variable: satisfaction
alpha satis_1 satis_2 satis_3 satis_4 satis_5
egen satis = rowmean(satis_1 satis_2 satis_3 satis_4 satis_5)
sum satis

***Variable: postive emotions
alpha pos_emo_1 pos_emo_2 pos_emo_3 pos_emo_4 pos_emo_5 pos_emo_6 pos_emo_7 pos_emo_8 pos_emo_9 pos_emo_10
egen pos_emo = rowmean(pos_emo_1 pos_emo_2 pos_emo_3 pos_emo_4 pos_emo_5 pos_emo_6 pos_emo_7 pos_emo_8 pos_emo_9 pos_emo_10)
sum pos_emo

***intercorrelation
pwcorr map am cm interest satis pos_emo
pwcorr map am cm interest satis pos_emo, sig 

*************
*PRELIMINARY*
*************

**INTEREST: Covariates (nothing; p > .166)
recode order (1 = 0.5) (2 = -0.5), gen(order_c)
recode order (1 = 1) (2 = 0), gen(order_goal)
recode order (1 = 0) (2 = 1), gen(order_motiv)
gen am_c = am - 5.326552  
gen cm_c = cm - 4.857602 
gen map_c = map - 5.850107
reg interest c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
est tab, p(%10.4g)

***SATISFACTION: Covariates (nothing; p > .161)
reg satis c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
est tab, p(%10.4g)

***POSITIVE EMOTION: Covariates (nothing; p > .087)
reg pos_emo c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
est tab, p(%10.4g)

******
*MAIN*
******

***INTEREST: Three-step modelization
**M1
reg interest map
display 13.64 * 13.64 
display 13.64 * 13.64 / (13.64 * 13.64 + 458)
**M2
reg interest am cm
display 19.64 * 19.64 
display 19.64 * 19.64  / (19.64 * 19.64 + 457)
**M3
reg interest map am cm
display 5.33 * 5.33
display 5.33 * 5.33 / (5.33 * 5.33 + 456)
display 13.65 * 13.65
display 13.65 * 13.65/ (13.65 * 13.65 + 456)
display  1.83 * 1.83
display  1.83 * 1.83   / (1.83 * 1.83 + 456)
**indirect
sgmediation interest, mv(am) iv(map) cv(cm)
sgmediation interest, mv(map) iv(am) cv(cm)

***SATISFACTION: Three-step modelization
**M1
reg satis map
display 9.75  * 9.75
display 9.75  * 9.75  / (9.75  * 9.75 + 458)
**M2
reg satis am cm
display 15.62  * 15.62
display 15.62   * 15.62    / (15.62   * 15.62   + 457)
**M3
reg satis map am cm
display 12.01  * 12.01
display 12.01  * 12.01  / (12.01  * 12.01  + 456)
*M1/2-to-M3 reduction
**indirect
sgmediation satis, mv(am) iv(map) cv(cm)
sgmediation satis, mv(map) iv(am) cv(cm)

***POSITIVE EMOTION: Three-step modelization
**M1
reg pos_emo map
display 12.89  * 12.89
display 12.89  * 12.89  / (12.89  * 12.89  + 458)
**M2
reg pos_emo am cm
display 17.39  * 17.39
display 17.39  * 17.39  / (17.39 * 17.39 + 457)
**M3
reg pos_emo map am cm
display 4.11  * 4.11
display 4.11  * 4.11  / (4.11  * 4.11 + 456)
display 12.25  * 12.25
display 12.25  * 12.25  / (12.25  * 12.25 + 456)
*M1/2-to-M3 reduction
**indirect
sgmediation pos_emo, mv(am) iv(map) cv(cm)
sgmediation pos_emo, mv(map) iv(am) cv(cm)

*****************
*MC_FOR_INDIRECT*
*****************

**IV = MAp
*Sobels (all)
sgmediation interest, mv(am) iv(map) cv(cm)
sgmediation satis, mv(am) iv(map) cv(cm)
sgmediation pos_emo, mv(am) iv(map) cv(cm)
*MC: INTEREST
sgmediation interest, mv(am) iv(map) cv(cm)
sureg (am map cm)(interest map am cm)
nlcom _b[am:map]*_b[interest:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai1 = rnormal(_b[am:map],_se[am:map])
generate bi1 = rnormal(_b[interest:am],_se[interest:am])
generate interest_map = ai1*bi1
kdensity interest_map
summarize interest_map
_pctile interest_map, p(2.5 97.5)
return list
*MC: SATISFACTION
sgmediation satis, mv(am) iv(map) cv(cm)
sureg (am map cm)(satis map am cm)
nlcom _b[am:map]*_b[satis:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate as1 = rnormal(_b[am:map],_se[am:map])
generate bs1 = rnormal(_b[satis:am],_se[satis:am])
generate satis_map = as1*bs1
kdensity satis_map
summarize satis_map
_pctile satis_map, p(2.5 97.5)
return list
*MC: POSITIVE EMOTION
sgmediation pos_emo, mv(am) iv(map) cv(cm)
sureg (am map cm)(pos_emo map am cm)
nlcom _b[am:map]*_b[pos_emo:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap1 = rnormal(_b[am:map],_se[am:map])
generate bp1 = rnormal(_b[pos_emo:am],_se[pos_emo:am])
generate pos_emo_map = ap1*bp1
kdensity pos_emo_map
summarize pos_emo_map
_pctile pos_emo_map, p(2.5 97.5)
return list

**IV = AM
*Sobels (all)
sgmediation interest, mv(map) iv(am) cv(cm)
sgmediation satis, mv(map) iv(am) cv(cm)
sgmediation pos_emo, mv(map) iv(am) cv(cm)
*MC: INTEREST
sgmediation interest, mv(map) iv(am) cv(cm)
sureg (map am cm)(interest map am cm)
nlcom _b[map:am]*_b[interest:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai2 = rnormal(_b[map:am],_se[map:am])
generate bi2 = rnormal(_b[interest:map],_se[interest:map])
generate interest_am = ai2*bi2
kdensity interest_am
summarize interest_am
_pctile interest_am, p(2.5 97.5)
return list
*MC: SATISFACTION
sgmediation satis, mv(map) iv(am) cv(cm)
sureg (map am cm)(satis map am cm)
nlcom _b[map:am]*_b[satis:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate as2 = rnormal(_b[map:am],_se[map:am])
generate bs2 = rnormal(_b[satis:map],_se[satis:map])
generate satis_am = as2*bs2
kdensity satis_am
summarize satis_am
_pctile satis_am, p(2.5 97.5)
return list
*MC: POSITIVE EMOTION
sgmediation pos_emo, mv(map) iv(am) cv(cm)
sureg (map am cm)(pos_emo map am cm)
nlcom _b[map:am]*_b[pos_emo:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap2 = rnormal(_b[map:am],_se[map:am])
generate bp2 = rnormal(_b[pos_emo:map],_se[pos_emo:map])
generate pos_emo_am = ap2*bp2
kdensity pos_emo_am
summarize pos_emo_am
_pctile pos_emo_am, p(2.5 97.5)
return list
