**************
*PARTICIPANTS*
**************

*457 participants open the survey
gen id_part = _n
sum id_part

*407 started it for real; one missing on DVs
drop if am1 == .
sum id_part
drop if interest_1 == .
sum id_part
tab order

***********
*VARIABLES*
***********

***Goals
alpha map1 map2 map3
egen map = rowmean(map1 map2 map3)
sum map

***Motivations
alpha am1 am2
alpha cm3 cm1 cm2 cm4
egen am = rowmean(am1 am2)
egen cm = rowmean(cm1 cm2 cm3 cm4)
sum am cm

***Goal x Motivation
alpha map1_am1 map1_am2 map2_am1 map2_am2 map3_am1 map3_am2
alpha map1_cm1 map1_cm2 map1_cm3 map1_cm4 map2_cm1 map2_cm2 map2_cm3 map2_cm4 map3_cm1 map3_cm2 map3_cm3 map3_cm4
egen map_am = rowmean(map1_am1 map1_am2 map2_am1 map2_am2 map3_am1 map3_am2)
egen map_cm = rowmean(map1_cm1 map1_cm2 map1_cm3 map1_cm4 map2_cm1 map2_cm2 map2_cm3 map2_cm4 map3_cm1 map3_cm2 map3_cm3 map3_cm4)
sum map_am map_cm

***Variabe: Interest
alpha interest_1 interest_2 interest_3_r interest_4_r interest_5 interest_6 interest_7
gen interest_3 = 8 - interest_3_r
gen interest_4 = 8 - interest_4_r
egen interest = rowmean(interest_1 interest_2 interest_3 interest_4 interest_5 interest_6 interest_7)
sum interest

***Variable: satisfaction
alpha satis_1 satis_2 satis_3 satis_4 satis_5
egen satis = rowmean(satis_1 satis_2 satis_3 satis_4 satis_5)
sum satis

***Variable: postive emotions
alpha pos_emo_1 pos_emo_2 pos_emo_3 pos_emo_4 pos_emo_5 pos_emo_6 pos_emo_7 pos_emo_8 pos_emo_9 pos_emo_10
egen pos_emo = rowmean(pos_emo_1 pos_emo_2 pos_emo_3 pos_emo_4 pos_emo_5 pos_emo_6 pos_emo_7 pos_emo_8 pos_emo_9 pos_emo_10)
sum pos_emo

***Intercorrelation
pwcorr map am cm map_am map_cm interest satis pos_emo
pwcorr map am cm map_am map_cm interest satis pos_emo, sig

*************
*PRELIMINARY*
*************

**INTEREST
recode order (1 = 0.5) (2 = -0.5), gen(order_c)
recode order (1 = 1) (2 = 0), gen(order_goal)
recode order (1 = 0) (2 = 1), gen(order_motiv)
gen am_c = am - 5.511084  
gen cm_c = cm - 4.960181 
gen map_c = map - 5.849754
reg interest c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
display 2.26 * 2.26
display 2.26 * 2.26 / (2.26 * 2.26 + 391)
display 2.32 * 2.32
display 2.32 * 2.32 / (2.32 * 2.32 + 391)
est tab, p(%10.4g)

***SATISFACTION
reg satis c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
est tab, p(%10.4g)

***POSITIVE EMOTION
reg pos_emo c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job
display 2.04 * 2.04
display 2.04 * 2.04 / (2.04 * 2.04 + 391)
est tab, p(%10.4g)

******
*MAIN*
******

***INTEREST: Four-step modelization
**M1
reg interest map
display 14.26 * 14.26 
display 14.26 * 14.26 / (14.26 * 14.26 + 404)
**M2
reg interest am cm
display 17.21 * 17.21 
display 17.21 * 17.21 / (17.21 * 17.21 + 403)
display -3.02 * -3.02 
display -3.02 * -3.02  / (-3.02 * -3.02  + 403)
**M3
reg interest map am cm
display 6.51 * 6.51
display 6.51 * 6.51 / (6.51 * 6.51 + 402)
display 10.11 * 10.11
display 10.11 * 10.11 / (10.11 * 10.11 + 402)
display -4.34  * -4.34
display -4.34  * -4.34 / ( -4.34  * -4.34 + 402)
**indirect (M1/2 to M3)
sgmediation interest, mv(am) iv(map) cv(cm)
sgmediation interest, mv(map) iv(am) cv(cm)
**M4
reg interest map am cm map_am map_cm
display 2.43 * 2.43
display 2.43 * 2.43 / (2.43 * 2.43 + 400)
display 4.42  *4.42
display 4.42  * 4.42 / (4.42 * 4.42 + 400)
display 6.29  * 6.29
display  6.29 * 6.29 / ( 6.29 * 6.29 + 400)
display -3.58  * -3.58
display  -3.58 * -3.58 / (-3.58  * -3.58 + 400)
**indirect (M3 to M4)
sgmediation interest, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation interest, mv(map_am) iv(am) cv(map cm map_cm)

***SATISFACTION: Four-step modelization
**M1
reg satis map
display 11.28 * 11.28 
display 11.28 * 11.28 / (11.28 * 11.28 + 404)
**M2
reg satis am cm
display 16.79 * 16.79 
display 16.79 * 16.79  / (16.79 * 16.79  + 403)
display 2.84  * 2.84  
display 2.84  * 2.84  / (2.84  * 2.84  + 403)
**M3
reg satis map am cm
display 12.36 * 12.36
display 12.36 * 12.36 / (12.36 * 12.36 + 402)
display 2.55  * 2.55
display 2.55  * 2.55 / (2.55  * 2.55 + 402)
**indirect (M1/2 to M3)
sgmediation satis, mv(am) iv(map) cv(cm)
sgmediation satis, mv(map) iv(am) cv(cm)
**M4
reg satis map am cm map_am map_cm
display 2.16 * 2.16
display 2.16 * 2.16 / (2.16 * 2.16 + 400)
display 8.19  * 8.19
display 8.19  * 8.19 / (8.19  * 8.19 + 400)
est tab, p(%10.4g)
**indirect (M3 to M4)
sgmediation satis, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation satis, mv(map_am) iv(am) cv(map cm map_cm)

***POSITIVE EMOTION: Four-step modelization
**M1
reg pos_emo map
display 14.42 * 14.42 
display 14.42 * 14.42 / (14.42 * 14.42 + 404)
**M2
reg pos_emo am cm
display 16.64 * 16.64 
display 16.64 * 16.64  / (16.64 * 16.64  + 403)
display 2.68 * 2.68 
display 2.68 * 2.68 / (2.68 * 2.68  + 403)
**M3
reg pos_emo map am cm
display 4.98 * 4.98
display 4.98 * 4.98 / (4.98 * 4.98 + 402)
display 10.33 * 10.33
display 10.33 * 10.33 / (10.33 * 10.33 + 402)
**indirect (M1/2 to M3)
sgmediation pos_emo, mv(am) iv(map) cv(cm)
sgmediation pos_emo, mv(map) iv(am) cv(cm)
**M4
reg pos_emo map am cm map_am map_cm
display 3.46 * 3.46
display 3.46 * 3.46 / (3.46 * 3.46 + 400)
display 2.57  * 2.57
display 2.57  * 2.57 / (2.57  * 2.57 + 400)
display 5.88  * 5.88
display 5.88  * 5.88 / (5.88  * 5.88 + 400)
est tab, p(%10.4g)
**indirect (M3 to M4)
sgmediation pos_emo, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation pos_emo, mv(map_am) iv(am) cv(map cm map_cm)

*****************
*MC_FOR_INDIRECT*
*****************

***H3
**IV = MAp
*Sobels (all)
sgmediation interest, mv(am) iv(map) cv(cm)
sgmediation satis, mv(am) iv(map) cv(cm)
sgmediation pos_emo, mv(am) iv(map) cv(cm)
*MC: INTEREST
sgmediation interest, mv(am) iv(map) cv(cm)
sureg (am map cm)(interest map am cm)
nlcom _b[am:map]*_b[interest:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai1 = rnormal(_b[am:map],_se[am:map])
generate bi1 = rnormal(_b[interest:am],_se[interest:am])
generate interest_map = ai1*bi1
kdensity interest_map
summarize interest_map
_pctile interest_map, p(2.5 97.5)
return list
*MC: SATISFACTION
sgmediation satis, mv(am) iv(map) cv(cm)
sureg (am map cm)(satis map am cm)
nlcom _b[am:map]*_b[satis:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate as1 = rnormal(_b[am:map],_se[am:map])
generate bs1 = rnormal(_b[satis:am],_se[satis:am])
generate satis_map = as1*bs1
kdensity satis_map
summarize satis_map
_pctile satis_map, p(2.5 97.5)
return list
*MC: POSITIVE EMOTION
sgmediation pos_emo, mv(am) iv(map) cv(cm)
sureg (am map cm)(pos_emo map am cm)
nlcom _b[am:map]*_b[pos_emo:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap1 = rnormal(_b[am:map],_se[am:map])
generate bp1 = rnormal(_b[pos_emo:am],_se[pos_emo:am])
generate pos_emo_map = ap1*bp1
kdensity pos_emo_map
summarize pos_emo_map
_pctile pos_emo_map, p(2.5 97.5)
return list

***H3
**IV = AM
*Sobels (all)
sgmediation interest, mv(map) iv(am) cv(cm)
sgmediation satis, mv(map) iv(am) cv(cm)
sgmediation pos_emo, mv(map) iv(am) cv(cm)
*MC: INTEREST
sgmediation interest, mv(map) iv(am) cv(cm)
sureg (map am cm)(interest map am cm)
nlcom _b[map:am]*_b[interest:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai2 = rnormal(_b[map:am],_se[map:am])
generate bi2 = rnormal(_b[interest:map],_se[interest:map])
generate interest_am = ai2*bi2
kdensity interest_am
summarize interest_am
_pctile interest_am, p(2.5 97.5)
return list
*MC: SATISFACTION
sgmediation satis, mv(map) iv(am) cv(cm)
sureg (map am cm)(satis map am cm)
nlcom _b[map:am]*_b[satis:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate as2 = rnormal(_b[map:am],_se[map:am])
generate bs2 = rnormal(_b[satis:map],_se[satis:map])
generate satis_am = as2*bs2
kdensity satis_am
summarize satis_am
_pctile satis_am, p(2.5 97.5)
return list
*MC: POSITIVE EMOTION
sgmediation pos_emo, mv(map) iv(am) cv(cm)
sureg (map am cm)(pos_emo map am cm)
nlcom _b[map:am]*_b[pos_emo:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap2 = rnormal(_b[map:am],_se[map:am])
generate bp2 = rnormal(_b[pos_emo:map],_se[pos_emo:map])
generate pos_emo_am = ap2*bp2
kdensity pos_emo_am
summarize pos_emo_am
_pctile pos_emo_am, p(2.5 97.5)
return list

***H5
**IV = MAp
*Sobels (all)
sgmediation interest, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation pos_emo, mv(map_am) iv(map) cv(am cm map_cm)
*MC: INTEREST
sgmediation interest, mv(map_am) iv(map) cv(am cm map_cm)
sureg (map_am map am cm map_cm)(interest map am cm map_am map_cm)
nlcom _b[map_am:map]*_b[interest:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bi3 = rnormal(_b[interest:map_am],_se[interest:map_am])
generate interest_gc_map = ai3*bi3
kdensity interest_gc_map
summarize interest_gc_map
_pctile interest_gc_map, p(2.5 97.5)
return list
*MC: POSITIVE EMOTIONS
sgmediation pos_emo, mv(map_am) iv(map) cv(am cm map_cm)
sureg (map_am map am cm map_cm)(pos_emo map am cm map_am map_cm)
nlcom _b[map_am:map]*_b[pos_emo:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bp3 = rnormal(_b[pos_emo:map_am],_se[pos_emo:map_am])
generate pos_emo_gc_map = ap3*bp3
kdensity pos_emo_gc_map
summarize pos_emo_gc_map
_pctile pos_emo_gc_map, p(2.5 97.5)
return list

***H5
**IV = AM
*Sobels (all)
sgmediation interest, mv(map_am) iv(am) cv(map cm map_cm)
sgmediation satis, mv(map_am) iv(am) cv(map cm map_cm)
sgmediation pos_emo, mv(map_am) iv(am) cv(map cm map_cm)
*MC: INTEREST
sgmediation interest, mv(map_am) iv(am) cv(map cm map_cm)
sureg (map_am map am cm map_cm)(interest map am cm map_am map_cm)
nlcom _b[map_am:am]*_b[interest:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ai4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bi4 = rnormal(_b[interest:map_am],_se[interest:map_am])
generate interest_gc_am = ai4*bi4
kdensity interest_gc_am
summarize interest_gc_am
_pctile interest_gc_am, p(2.5 97.5)
return list
*MC: SATISFACTION
sgmediation satis, mv(map_am) iv(am) cv(map cm map_cm)
sureg (map_am map am cm map_cm)(satis map am cm map_am map_cm)
nlcom _b[map_am:am]*_b[satis:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate as4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bs4 = rnormal(_b[satis:map_am],_se[satis:map_am])
generate satis_gc_am = as4*bs4
kdensity satis_gc_am
summarize satis_gc_am
_pctile satis_gc_am, p(2.5 97.5)
return list
*MC: POSITIVE EMOTIONS
sgmediation pos_emo, mv(map_am) iv(am) cv(map cm map_cm)
sureg (map_am map am cm map_cm)(pos_emo map am cm map_am map_cm)
nlcom _b[map_am:am]*_b[pos_emo:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bp4 = rnormal(_b[pos_emo:map_am],_se[pos_emo:map_am])
generate pos_emo_gc_am = ap4*bp4
kdensity pos_emo_gc_am
summarize pos_emo_gc_am
_pctile pos_emo_gc_am, p(2.5 97.5)
return list
