**************
*PARTICIPANTS*
**************

*474 participants open the survey
gen id_part = _n
sum id

*440 started it for real; 11 missing on DVs
drop if am1 == .
sum id
drop if deep1 == .
sum id

*decriptive; sex: 1 = male
tab sex
sum age 
sum year_job_corrected
rename alet_1mbefore_2goalbefore order
tab order

***********
*VARIABLES*
***********

***Goals
alpha map1 map2 map3
egen map = rowmean(map1 map2 map3)
sum map

***Motivations
alpha am1 am2
alpha cm3 cm1 cm2 cm4
egen am = rowmean(am1 am2)
egen cm = rowmean(cm1 cm2 cm3 cm4)
sum am cm

***Goal x Motivation
alpha map_cm11 map_cm9 map_cm10 map_cm12 map_cm6 map_cm8 map_cm5 map_cm7 map_cm1 map_cm3 map_cm2 map_cm4 
alpha map_am1 map_am2 map_am3 map_am4 map_am5 map_am6
egen map_am = rowmean(map_am1 map_am2 map_am3 map_am4 map_am5 map_am6)
egen map_cm = rowmean(map_cm11 map_cm9 map_cm10 map_cm12 map_cm6 map_cm8 map_cm5 map_cm7 map_cm1 map_cm3 map_cm2 map_cm4)
sum map_am map_cm

***Variabe: Deep learning
alpha deep1 deep2 deep7 deep5 deep6 deep3 deep4 deep8 deep9 deep10
egen deep = rowmean(deep1 deep2 deep7 deep5 deep6 deep3 deep4 deep8 deep9 deep10)
sum deep

***Variable: interpersonal help seeking
alpha inter_help_1 inter_help_2 inter_help_3
egen inter_help = rowmean(inter_help_1 inter_help_2 inter_help_3)
sum inter_help

***Variable: challenge
alpha  challenge_1 challenge_2 challenge_5 challenge_6 challenge_3 challenge_4
egen challenge = rowmean(challenge_1 challenge_2 challenge_5 challenge_6 challenge_3 challenge_4)
sum challenge

***Intercorrelation
pwcorr map am cm map_am map_cm deep inter_help challenge
pwcorr map am cm map map_am map_cm deep inter_help challenge, sig

*************
*PRELIMINARY*
*************

**DEEP
recode order (1 = 0.5) (2 = -0.5), gen(order_c)
recode order (1 = 1) (2 = 0), gen(order_goal)
recode order (1 = 0) (2 = 1), gen(order_motiv)
gen am_c = am - 5.326552  
gen cm_c = cm - 4.857602 
gen map_c = map - 5.850107
reg deep c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job_corrected
display -3.76 * -3.76
display -3.76 * -3.76 / (-3.76 * -3.76 + 418)
display -2.30 * -2.30 
display -2.30 * -2.30 / (-2.30 * -2.30 + 418)

***HELP
reg inter_help c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job_corrected
display 2.06 * 2.06
display 2.06 * 2.06 / (2.06 * 2.06 + 418)
display 2.03 * 2.03
display 2.03 * 2.03 / (2.03 * 2.03 + 418)

***CHALLENGE
reg challenge c.map_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age year_job_corrected
est tab, p(%10.4g)

******
*MAIN*
******

***DEEP: Four-step modelization
**M1
reg deep map
display 13.68 * 13.68 
display 13.68 * 13.68 / (13.64 * 13.64 + 427)
**M2
reg deep am cm
display 15.90 * 15.90 
display 15.90 * 15.90 / (15.90 * 15.90 + 426)
display 2.91 * 2.91
display 2.91 * 2.91 / (2.91 * 2.91 + 426)
**M3
reg deep map am cm
display 6.52 * 6.52 
display 6.52 * 6.52  / (6.52 * 6.52  + 425)
display 10.78 * 10.78 
display 10.78 * 10.78 / (10.78 * 10.78 + 425)
**indirect (M1/2 to M3)
sgmediation deep, mv(am) iv(map) cv(cm)
sgmediation deep, mv(map) iv(am) cv(cm)
**M4
reg deep map am cm map_am map_cm
display 6.94 * 6.94
display  6.94 * 6.94 /  (6.94 * 6.94 + 423)
display 3.30 * 3.30
display 3.30 * 3.30 / (3.30 * 3.30 + 423)
display 2.56  * 2.56
display  2.56  * 2.56 / (2.56  * 2.56 + 423)
display 3.26 * 3.26
display 3.26 * 3.26 / (3.26 * 3.26 + 423)
est tab, p(%10.4g)
**indirect (M3 to M4)
sgmediation deep, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation deep, mv(map_am) iv(am) cv(map cm map_cm)

***HELP: Four-step modelization
**M1
reg inter_help map
display 9.46  * 9.46  
display 9.46  * 9.46  / (9.46  * 9.46 + 427)
**M2
reg inter_help am cm
display 4.81 * 4.81 
display 4.81 * 4.81  / ( 4.81 * 4.81 + 426)
display 2.48 * 2.48
display 2.48 * 2.48 / (2.48 * 2.48 + 426)
**M3
reg inter_help map am cm
display 7.18 * 7.18 
display 7.18 * 7.18  / (7.18 * 7.18  + 425)
**indirect (M1/2 to M3)
sgmediation inter_help, mv(am) iv(map) cv(cm)
sgmediation inter_help, mv(map) iv(am) cv(cm)
**M4
reg inter_help map am cm map_am map_cm
display 6.01  * 6.01 
display  6.01  * 6.01  /  (6.01  * 6.01 + 423)
**indirect (M3 to M4)
sgmediation inter_help, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation inter_help, mv(map_am) iv(am) cv(map cm map_cm)

***CHALLENGE: Four-step modelization
**M1
reg challenge map
display 12.57 * 12.57  
display 12.57 * 12.57  / (12.57 * 12.57 + 427)
**M2
reg challenge am cm
display 12.72 * 12.72 
display 12.72 * 12.72  / (12.72 * 12.72 + 426)
display 3.93 * 3.93 
display 3.93 * 3.93  / (3.93 * 3.93 + 426)
**M3
reg challenge map am cm
display 6.14 * 6.14 
display 6.14 * 6.14  / (6.14 * 6.14  + 425)
display 8.09 * 8.09 
display 8.09 * 8.09 / (8.09 * 8.09 + 425)
display 2.48 * 2.48 
display 2.48 * 2.48  / (2.48 * 2.48  + 425)
**indirect (M1/2 to M3)
sgmediation challenge, mv(am) iv(map) cv(cm)
sgmediation challenge, mv(map) iv(am) cv(cm)
**M4
reg challenge map am cm map_am map_cm
display  3.20 * 3.20 
display  3.20 * 3.20 /  (3.20 * 3.20 + 423)
display 4.30 * 4.30
display 4.30 * 4.30 / (4.30 * 4.30 + 423)
display 3.13 * 3.13
display 3.13 * 3.13 / (3.13 * 3.13 + 423)
est tab, p(%10.4g)
**indirect (M3 to M4)
sgmediation challenge, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation challenge, mv(map_am) iv(am) cv(map cm map_cm)

*****************
*MC_FOR_INDIRECT*
*****************

***H3
**IV = MAp
*Sobels (all)
sgmediation deep, mv(am) iv(map) cv(cm)
sgmediation inter_help, mv(am) iv(map) cv(cm)
sgmediation challenge, mv(am) iv(map) cv(cm)
*MC: DEEP
sgmediation deep, mv(am) iv(map) cv(cm)
sureg (am map cm)(deep map am cm)
nlcom _b[am:map]*_b[deep:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad1 = rnormal(_b[am:map],_se[am:map])
generate bd1 = rnormal(_b[deep:am],_se[deep:am])
generate deep_map = ad1*bd1
kdensity deep_map
summarize deep_map
_pctile deep_map, p(2.5 97.5)
return list
*MC: HELP
sgmediation inter_help, mv(am) iv(map) cv(cm)
sureg (am map cm)(inter_help map am cm)
nlcom _b[am:map]*_b[inter_help:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ah1 = rnormal(_b[am:map],_se[am:map])
generate bh1 = rnormal(_b[inter_help:am],_se[inter_help:am])
generate inter_help_map = ah1*bh1
kdensity inter_help_map
summarize inter_help_map
_pctile inter_help_map, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(am) iv(map) cv(cm)
sureg (am map cm)(challenge map am cm)
nlcom _b[am:map]*_b[challenge:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac1 = rnormal(_b[am:map],_se[am:map])
generate bc1 = rnormal(_b[challenge:am],_se[challenge:am])
generate challenge_map = ac1*bc1
kdensity challenge_map
summarize challenge_map
_pctile challenge_map, p(2.5 97.5)
return list

***H3
**IV = AM
*Sobels (all)
sgmediation deep, mv(map) iv(am) cv(cm)
sgmediation inter_help, mv(map) iv(am) cv(cm)
sgmediation challenge, mv(map) iv(am) cv(cm)
*MC: DEEP
sgmediation deep, mv(map) iv(am) cv(cm)
sureg (map am cm)(deep map am cm)
nlcom _b[map:am]*_b[deep:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad2 = rnormal(_b[map:am],_se[map:am])
generate bd2 = rnormal(_b[deep:map],_se[deep:map])
generate deep_am = ad2*bd2
kdensity deep_am
summarize deep_am
_pctile deep_am, p(2.5 97.5)
return list
*MC: HELP
sgmediation inter_help, mv(map) iv(am) cv(cm)
sureg (map am cm)(inter_help map am cm)
nlcom _b[map:am]*_b[inter_help:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ah2 = rnormal(_b[map:am],_se[map:am])
generate bh2 = rnormal(_b[inter_help:map],_se[inter_help:map])
generate inter_help_am = ah2*bh2
kdensity inter_help_am
summarize inter_help_am
_pctile inter_help_am, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map) iv(am) cv(cm)
sureg (map am cm)(challenge map am cm)
nlcom _b[map:am]*_b[challenge:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac2 = rnormal(_b[map:am],_se[map:am])
generate bc2 = rnormal(_b[challenge:map],_se[challenge:map])
generate challenge_am = ac2*bc2
kdensity challenge_am
summarize challenge_am
_pctile challenge_am, p(2.5 97.5)
return list


***H5
**IV = MAp
*Sobels (all)
sgmediation deep, mv(map_am) iv(map) cv(am cm map_cm)
sgmediation challenge, mv(map_am) iv(map) cv(am cm map_cm)
*MC: DEEP
sgmediation deep, mv(map_am) iv(map) cv(am cm map_cm)
sureg (map_am map am cm map_cm)(deep map am cm map_am map_cm)
nlcom _b[map_am:map]*_b[deep:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bd3 = rnormal(_b[deep:map_am],_se[deep:map_am])
generate deep_gc_map = ad3*bd3
kdensity deep_gc_map
summarize deep_gc_map
_pctile deep_gc_map, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map_am) iv(map) cv(am cm map_cm)
sureg (map_am map am cm map_cm)(challenge map am cm map_am map_cm)
nlcom _b[map_am:map]*_b[challenge:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bc3 = rnormal(_b[challenge:map_am],_se[challenge:map_am])
generate challenge_gc_map = ac3*bc3
kdensity challenge_gc_map
summarize challenge_gc_map
_pctile challenge_gc_map, p(2.5 97.5)
return list

***H5
**IV = AM
*Sobels (all)
sgmediation deep, mv(map_am) iv(am) cv(map cm map_cm)
sgmediation challenge, mv(map_am) iv(am) cv(map cm map_cm)
*MC: DEEP
sgmediation deep, mv(map_am) iv(am) cv(map cm map_cm)
sureg (map_am map am cm map_cm)(deep map am cm map_am map_cm)
nlcom _b[map_am:am]*_b[deep:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bd4 = rnormal(_b[deep:map_am],_se[deep:map_am])
generate deep_gc_am = ad4*bd4
kdensity deep_gc_am
summarize deep_gc_am
_pctile deep_gc_am, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map_am) iv(am) cv(map cm map_cm)
sureg (map_am map am cm map_cm)(challenge map am cm map_am map_cm)
nlcom _b[map_am:am]*_b[challenge:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bc4 = rnormal(_b[challenge:map_am],_se[challenge:map_am])
generate challenge_gc_am = ac4*bc4
kdensity challenge_gc_am
summarize challenge_gc_am
_pctile challenge_gc_am, p(2.5 97.5)
return list
