**************
*PARTICIPANTS*
**************

*503 participants open the survey
gen id_part = _n
sum id

*481 started it for real; 24 missing on DVs
drop if am1 == .
sum id
egen persist = rowmean(persist1 persist4 persist2 persist3) 
drop if persist == .
sum id
*1 = male
tab sex
sum age 
*Freshman; Sophomore; Junior; Senior; Other
tab class_stan
rename dobl1_goal_and_motiv order
tab order

***********
*VARIABLES*
***********

***Goals
alpha map1 map2 
alpha pap1 pap2 
egen map = rowmean(map1 map2 )
egen pap = rowmean(pap1 pap2 )
sum map pap

***Motivations
alpha am1 am2
alpha mc3 mc1 mc2 mc4
egen am = rowmean(am1 am2)
egen cm = rowmean(mc1 mc2 mc3 mc4)
sum am cm

***Goal x Motivation
alpha map_am2 map_am1 map_am4 map_am3
alpha map_cm1 map_cm4 map_cm3 map_cm2 map_cm5 map_cm8 map_cm7 map_cm6
alpha pap_am2 pap_am1 pap_am4 pap_am3
alpha pap_cm1 pap_cm4 pap_cm3 pap_cm2 pap_cm5 pap_cm8 pap_cm7 pap_cm6
egen map_am = rowmean(map_am2 map_am1 map_am4 map_am3)
egen map_cm = rowmean(map_cm1 map_cm4 map_cm3 map_cm2 map_cm5 map_cm8 map_cm7 map_cm6)
egen pap_am = rowmean(pap_am2 pap_am1 pap_am4 pap_am3)
egen pap_cm = rowmean(pap_cm1 pap_cm4 pap_cm3 pap_cm2 pap_cm5 pap_cm8 pap_cm7 pap_cm6)
sum map_am map_cm pap_am pap_cm

***Variabes: deep and suface
egen deep = rowmean(deep1 deep2 deep7 deep5 deep6 deep3 deep4 deep8 deep9 deep10)
egen surf = rowmean(surf1 surf2 surf7 surf5 surf6 surf3 surf4 surf8 surf9 surf10)
alpha deep1 deep2 deep7 deep5 deep6 deep3 deep4 deep8 deep9 deep10
alpha surf1 surf2 surf7 surf5 surf6 surf3 surf4 surf8 surf9 surf10
sum deep surf

***Variable: challenge & grade aspiration
egen challenge = rowmean(challenge_1 challenge_2 challenge_5 challenge_6 challenge_3 challenge_4)
alpha  challenge_1 challenge_2 challenge_5 challenge_6 challenge_3 challenge_4
gen grade_asp_rev = 13 - grade_asp
sum challenge grade_asp_rev

***Variable: persistence
alpha persist1 persist4 persist2 persist3 
sum persist

***Interco
pwcorr map pap am cm  map_am map_cm pap_am pap_cm deep surf challenge grade_asp_rev persist
pwcorr map pap am cm  map_am map_cm pap_am pap_cm deep surf challenge grade_asp_rev persist, sig
 
*************
*PRELIMINARY*
*************

**LEARNING STRAT
recode order (1 = 0.5) (2 = -0.5), gen(order_c)
recode order (1 = 1) (2 = 0), gen(order_goal)
recode order (1 = 0) (2 = 1), gen(order_motiv)
sum am cm map pap
gen am_c = am - 5.162322  
gen cm_c = cm - 4.30628 
gen map_c = map - 5.445498
gen pap_c = pap - 5.240521
reg deep c.map_c##c.order_c c.pap_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age i.class_stan if class_stan != 5
est tab, p(%10.4g)
display -4.04 * -4.04 / (-3.91 * -3.91 + 440)
testparm i.class_stan
reg surf c.map_c##c.order_c c.pap_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age i.class_stan if class_stan != 5
testparm i.class_stan

***CHALLENGE & GRAD
reg challenge c.map_c##c.order_c c.pap_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age i.class_stan if class_stan != 5
est tab, p(%10.4g)
display -1.97 * -1.97 / (-1.97 * -1.97 + 440)
testparm i.class_stan
reg grade_asp_rev c.map_c##c.order_c c.pap_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age i.class_stan if class_stan != 5
testparm i.class_stan

***PERSISTENCE
reg persist c.map_c##c.order_c c.pap_c##c.order_c c.am_c##c.order_c c.cm_c##c.order_c sex age i.class_stan if class_stan != 5
est tab, p(%10.4g)
testparm i.class_stan
 
******
*MAIN*
******

***Four-step modelization: deep learning
**M1
reg deep map pap
display 10.40 * 10.40 / (10.40 * 10.40 + 454)
**M2
reg deep am cm
display 14.14  * 14.14 / (14.14  * 14.14  + 454)
display 2.94  * 2.94 / (2.94 * 2.94 + 454)
**M3
reg deep map pap am cm
display  4.38  * 4.38 / (4.38  * 4.38  + 452)
display  8.72  * 8.72 / (8.72  * 8.72  + 452)
display  2.78  * 2.78 / (2.78  * 2.78  + 452)
**indirect (M1/2 to M3)
sgmediation deep, mv(am) iv(map) cv(cm pap)
sgmediation deep, mv(map) iv(am) cv(cm pap)
**M4
reg deep map pap am cm map_am map_cm pap_am pap_cm
display  1.91  * 1.91 / (1.91 * 1.91  + 448)
display  2.60  * 2.60 / (2.60  * 2.60  + 448)
display  4.94  * 4.94 / (4.94  * 4.94  + 448)
display  3.76  * 3.76 / (3.76  * 3.76  + 448)
display  3.56  * 3.56 / (3.56  * 3.56  + 448)
*M3-to-M4 reduction
sgmediation deep, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sgmediation deep, mv(map_am) iv(am) cv(map cm pap map_cm pap_am pap_cm)

***Four-step modelization: challenging task
**M1
reg challenge map pap
display 6.69 * 6.69 / (6.69 * 6.69 + 454)
display 4.04 * 4.04  / (4.04 * 4.04  + 454)
**M2
reg challenge am cm
display  10.45  * 10.45 / (10.45  * 10.45  + 454)
display  3.34 * 3.34 / (3.34 * 3.34  + 454) 
**M3
reg challenge map pap am cm
display  2.17  * 2.17 / (2.17  * 2.17  + 452)
display  6.37 * 6.37 / (6.37 * 6.37  + 452)
display  2.55  * 2.55 / (2.55  * 2.55  + 452) 
display  2.03  * 2.03 / (2.03  * 2.03 + 452)
**indirect (M1/2 to M3)
sgmediation challenge, mv(am) iv(map) cv(cm pap)
sgmediation challenge, mv(map) iv(am) cv(cm pap)
**M4
reg challenge map pap am cm map_am map_cm pap_am pap_cm
display  2.28  * 2.28 / (2.28  * 2.28  + 448)
display  4.0  * 4.0 / (4.0  * 4.0  + 448)
*M3-to-M4 reduction
sgmediation challenge, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sgmediation challenge, mv(map_am) iv(am) cv(map cm pap map_cm pap_am pap_cm)

***Four-step modelization: surface learning
**M1
reg surf map pap
display 3.41 * 3.41 / (3.41 * 3.41 + 454)
display 5.97 * 5.97  / (5.97 * 5.97  + 454)
est tab, p(%10.4g)
**M2
reg surf am cm
display  4.13  * 4.13 / (4.13  * 4.13 + 454)
display  6.95  * 6.95 / (6.95  * 6.95 + 454)
**M3
reg surf map pap am cm
display  3.65  * 3.65 / (3.65  * 3.65  + 452)
display  2.60  * 2.60 / ( 2.60  * 2.60  + 452)
display  5.04  * 5.04 / (5.04  * 5.04  + 452)
**indirect (M1/2 to M3)
*pap
sgmediation surf, mv(pap) iv(cm) cv(am map)
sgmediation surf, mv(pap) iv(am) cv(cm map)
*cm
sgmediation surf, mv(pap) iv(cm) cv(cm map)
sgmediation surf, mv(map) iv(cm) cv(cm pap)
*am
sgmediation surf, mv(map) iv(am) cv(cm pap)
sgmediation surf, mv(pap) iv(am) cv(cm map)
*map
sgmediation surf, mv(cm) iv(map) cv(am pap)
sgmediation surf, mv(am) iv(map) cv(cm pap)
**M4
reg surf map pap am cm map_am map_cm pap_am pap_cm
display 2.31  * 2.31 / (2.31  * 2.31  + 448)
display 1.88  * 1.88 / (1.88  * 1.88  + 448)

***Four-step modelization: grade aspiration
**M1
reg grade_asp_rev map pap
display 2.37 * 2.37 / (2.37 * 2.37 + 419)
display 1.97 * 1.97  / (1.97 * 1.97  + 419)
**M2
reg grade_asp_rev am cm
display  4.12  * 4.12 / (4.12  * 4.12 + 419)
display 1.39   * 1.39 / (1.39   * 1.39 + 419)
**M3
reg grade_asp_rev map pap am cm
display  2.88  * 2.88 / (2.88  * 2.88  + 417)
display  2.71 * 2.71 / (2.71 * 2.71  + 417)
display  2.39 * 2.39 / (2.39 * 2.39 + 417)
**indirect (M1/2 to M3)
*pap
sgmediation grade_asp_rev, mv(pap) iv(am) cv(cm map)
*am
sgmediation grade_asp_rev, mv(map) iv(am) cv(cm pap)
sgmediation grade_asp_rev, mv(pap) iv(am) cv(cm map)
*map
sgmediation grade_asp_rev, mv(am) iv(map) cv(cm pap)
*map
sgmediation grade_asp_rev, mv(am) iv(pap) cv(cm pap)
**M4
reg grade_asp_rev map pap am cm map_am map_cm pap_am pap_cm
display 2.00  * 2.00 / (2.00  * 2.00  + 413)
est tab, p(%10.4g)
*M3-to-M4 reduction
sgmediation grade_asp_rev, mv(pap_am) iv(am) cv(map cm pap map_am map_cm pap_cm)
sgmediation grade_asp_rev, mv(pap_am) iv(pap) cv(map cm am map_am map_cm pap_cm)

***Four-step modelization: persistence
**M1
reg persist map pap
display 9.34 * 9.34 / (6.69 * 6.69 + 454)
display 4.90 * 4.90  / (4.90 * 4.90  + 454)
**M2
reg persist am cm
display  11.70  * 11.70 / (11.70  * 11.70  + 454)
display  2.13 * 2.13 / (2.13 * 2.13  + 454)
**M3
reg persist map pap am cm
display  4.60  * 4.60 / (4.60  * 4.60  + 452)
display  5.82 * 5.82 / (5.82 * 5.82  + 452)
display  4.05  * 4.05 / (4.05  * 4.05  + 452)
**indirect (M1/2 to M3)
sgmediation persist, mv(am) iv(map) cv(cm pap)
sgmediation persist, mv(am) iv(pap) cv(cm map)
sgmediation persist, mv(map) iv(am) cv(cm pap)
**M4
reg persist map pap am cm map_am map_cm pap_am pap_cm
display  3.50 * 3.50 / (3.50 * 3.50  + 448)
display  2.12 * 2.12 / (2.12 * 2.12  + 448)
display  2.62 * 2.62 / (2.62 * 2.62  + 448)
display 1.69 * 1.69 / (1.69 * 1.69  + 448)
est tab, p(%10.4g)
*M3-to-M4 reduction
sgmediation persist, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sgmediation persist, mv(map_am) iv(am) cv(map cm pap map_cm pap_am pap_cm)
*M3-to-M4 reduction
sgmediation persist, mv(pap_am) iv(pap) cv(am cm map map_cm map_am pap_cm)
sgmediation persist, mv(pap_am) iv(am) cv(map cm pap map_cm map_am pap_cm)

***********************************
*MC_FOR_INDIRECT: DEEP & CHALLENGE*
***********************************

***H3
**IV = MAp
*Sobels (all)
sgmediation deep, mv(am) iv(map) cv(cm pap)
sgmediation challenge, mv(am) iv(map) cv(cm pap)
*MC: DEEP
sgmediation deep, mv(am) iv(map) cv(cm pap)
sureg (am map pap cm)(deep map pap am cm)
nlcom _b[am:map]*_b[deep:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad1 = rnormal(_b[am:map],_se[am:map])
generate bd1 = rnormal(_b[deep:am],_se[deep:am])
generate deep_map = ad1*bd1
kdensity deep_map
summarize deep_map
_pctile deep_map, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(am) iv(map) cv(cm pap)
sureg (am map pap cm)(challenge map pap am cm)
nlcom _b[am:map]*_b[challenge:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac1 = rnormal(_b[am:map],_se[am:map])
generate bc1 = rnormal(_b[challenge:am],_se[challenge:am])
generate challenge_map = ac1*bc1
kdensity challenge_map
summarize challenge_map
_pctile challenge_map, p(2.5 97.5)
return list

***H3
**IV = AM
*Sobels (all)
sgmediation deep, mv(map) iv(am) cv(cm pap)
sgmediation challenge, mv(map) iv(am) cv(cm pap)
*DEEP
sgmediation deep, mv(map) iv(am) cv(cm pap)
sureg (map pap am cm)(deep map pap am cm)
nlcom _b[map:am]*_b[deep:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad2 = rnormal(_b[map:am],_se[map:am])
generate bd2 = rnormal(_b[deep:map],_se[deep:map])
generate deep_am = ad2*bd2
kdensity deep_am
summarize deep_am
_pctile deep_am, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map) iv(am) cv(cm pap)
sureg (map pap am cm)(challenge map pap am cm)
nlcom _b[map:am]*_b[challenge:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac2 = rnormal(_b[map:am],_se[map:am])
generate bc2 = rnormal(_b[challenge:map],_se[challenge:map])
generate challenge_am = ac2*bc2
kdensity challenge_am
summarize challenge_am
_pctile challenge_am, p(2.5 97.5)
return list

***H5
**IV = MAp
*Sobels (all)
sgmediation deep, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sgmediation challenge, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
*MC: DEEP
sgmediation deep, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sureg (map_am map pap am cm map_cm pap_am pap_cm)(deep map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[map_am:map]*_b[deep:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bd3 = rnormal(_b[deep:map_am],_se[deep:map_am])
generate deep_gc_map = ad3*bd3
kdensity deep_gc_map
summarize deep_gc_map
_pctile deep_gc_map, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
sureg (map_am map pap am cm map_cm pap_am pap_cm)(challenge map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[map_am:map]*_b[challenge:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac3 = rnormal(_b[map_am:map],_se[map_am:map])
generate bc3 = rnormal(_b[challenge:map_am],_se[challenge:map_am])
generate challenge_gc_map = ac3*bc3
kdensity challenge_gc_map
summarize challenge_gc_map
_pctile challenge_gc_map, p(2.5 97.5)
return list

***H5
**IV = AM
*Sobels (all)
sgmediation deep, mv(map_am) iv(am) cv(map cm pap map_cm pap_am pap_cm)
sgmediation challenge, mv(map_am) iv(am) cv(map cm pap map_cm pap_am pap_cm)
*MC: DEEP
sgmediation deep, mv(map_am) iv(am) cv(map pap cm map_cm pap_am pap_cm)
sureg (map_am map pap am cm map_cm pap_am pap_cm)(deep map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[map_am:am]*_b[deep:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ad4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bd4 = rnormal(_b[deep:map_am],_se[deep:map_am])
generate deep_gc_am = ad4*bd4
kdensity deep_gc_am
summarize deep_gc_am
_pctile deep_gc_am, p(2.5 97.5)
return list
*MC: CHALLENGE
sgmediation challenge, mv(map_am) iv(am) cv(map pap cm map_cm pap_am pap_cm)
sureg (map_am map pap am cm map_cm pap_am pap_cm)(challenge map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[map_am:am]*_b[challenge:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ac4 = rnormal(_b[map_am:am],_se[map_am:am])
generate bc4 = rnormal(_b[challenge:map_am],_se[challenge:map_am])
generate challenge_gc_am = ac4*bc4
kdensity challenge_gc_am
summarize challenge_gc_am
_pctile challenge_gc_am, p(2.5 97.5)
return list

************************
*MC_FOR_INDIRECT: GRADE*
************************

sgmediation grade_asp_rev, mv(pap_am) iv(pap) cv(map cm am map_am map_cm pap_cm)
sureg (pap_am map pap am cm map_am map_cm pap_cm)(grade_asp_rev map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[pap_am:pap]*_b[grade_asp_rev:pap_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ag3 = rnormal(_b[pap_am:pap],_se[pap_am:pap])
generate bg3 = rnormal(_b[grade_asp_rev:pap_am],_se[grade_asp_rev:pap_am])
generate grade_asp_rev_gc_pap = ag3*bg3
kdensity grade_asp_rev_gc_pap
summarize grade_asp_rev_gc_pap
_pctile grade_asp_rev_gc_pap, p(2.5 97.5)
return list

******************************
*MC_FOR_INDIRECT: PERSISTENCE*
******************************

***H3
**IV = MAp
*Sobel
sgmediation persist, mv(am) iv(map) cv(cm pap)
*MC: PERSIST
sureg (am map pap cm)(persist map pap am cm)
nlcom _b[am:map]*_b[persist:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap1 = rnormal(_b[am:map],_se[am:map])
generate bp1 = rnormal(_b[persist:am],_se[persist:am])
generate persist_map = ap1*bp1
kdensity persist_map
summarize persist_map
_pctile persist_map, p(2.5 97.5)
return list
**IV = PAp
*Sobel
sgmediation persist, mv(am) iv(pap) cv(cm map)
*MC: PERSIST
sureg (am map pap cm)(persist map pap am cm)
nlcom _b[am:pap]*_b[persist:am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap2 = rnormal(_b[am:pap],_se[am:pap])
generate bp2 = rnormal(_b[persist:am],_se[persist:am])
generate persist_pap = ap2*bp2
kdensity persist_pap
summarize persist_pap
_pctile persist_pap, p(2.5 97.5)
return list
**IV = AM
*Sobels (all)
sgmediation persist, mv(map) iv(am) cv(cm pap)
sgmediation persist, mv(pap) iv(am) cv(cm map)
*MC: PERSIST
sgmediation persist, mv(map) iv(am) cv(cm pap)
sureg (map pap am cm)(persist map pap am cm)
nlcom _b[map:am]*_b[persist:map]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap3 = rnormal(_b[map:am],_se[map:am])
generate bp3 = rnormal(_b[persist:map],_se[persist:map])
generate persist_am = ap3*bp3
kdensity persist_am
summarize persist_am
_pctile persist_am, p(2.5 97.5)
return list
*MV = pap
sgmediation persist, mv(pap) iv(am) cv(cm map)
sureg (pap map am cm)(persist map pap am cm)
nlcom _b[pap:am]*_b[persist:pap]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap4 = rnormal(_b[pap:am],_se[pap:am])
generate bp4 = rnormal(_b[persist:pap],_se[persist:pap])
generate persist_am2 = ap4*bp4
kdensity persist_am2
summarize persist_am2
_pctile persist_am2, p(2.5 97.5)
return list

***H5
**IV = MAp
*Sobel
sgmediation persist, mv(map_am) iv(map) cv(am cm pap map_cm pap_am pap_cm)
*MC: PERSIST
sureg (map_am map pap am cm map_cm pap_am pap_cm)(persist map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[map_am:map]*_b[persist:map_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap5 = rnormal(_b[map_am:map],_se[map_am:map])
generate bp5 = rnormal(_b[persist:map_am],_se[persist:map_am])
generate persist_gc_map = ap5*bp5
kdensity persist_gc_map
summarize persist_gc_map
_pctile persist_gc_map, p(2.5 97.5)
return list
**IV = PAp
*Sobel
sgmediation persist, mv(pap_am) iv(pap) cv(am cm map map_am map_cm pap_cm)
*MC: PERSIST
sureg (pap_am map pap am cm map_am map_cm pap_cm)(persist map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[pap_am:pap]*_b[persist:pap_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap6 = rnormal(_b[pap_am:pap],_se[pap_am:pap])
generate bp6 = rnormal(_b[persist:pap_am],_se[persist:pap_am])
generate persist_gc_pap = ap6*bp6
kdensity persist_gc_pap
summarize persist_gc_pap
_pctile persist_gc_pap, p(2.5 97.5)
return list
**IV = AM
*Sobel (all)
sgmediation persist, mv(map_am) iv(am) cv(cm map pap map_cm pap_am pap_cm)
sgmediation persist, mv(pap_am) iv(am) cv(cm map pap map_am map_cm pap_cm)
*MC: PERSIST
sureg (pap_am map pap am cm map_am map_cm pap_cm)(persist map pap am cm map_am map_cm pap_am pap_cm)
nlcom _b[pap_am:am]*_b[persist:pap_am]
mat V = e(V)
mat C = corr(V)
mat lis C
set obs 50000
set seed 987654
generate ap8 = rnormal(_b[pap_am:am],_se[pap_am:am])
generate bp8 = rnormal(_b[persist:pap_am],_se[persist:pap_am])
generate persist_gc_am2 = ap8*bp8
kdensity persist_gc_am2
summarize persist_gc_am2
_pctile persist_gc_am2, p(2.5 97.5)
return list
